<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Attributes and Hyperlinks</title>
</head>
<body>
	<!-- id identifier to locate a certain link -->
	<h2 id="top">HTML Attributes</h2>

	<!-- align attribute changes the alignment of the paragraph element -->
	<p align="center"><em>Modifiers of element behaviors</em></p>

	<h2>HTML Images</h2>

	<!-- &lt is entities for < and &gt is entities for > -->

	<p align="right">
		<em>An image can be shown using &lt;img&gt; tag along with its <strong>src</strong> attribute.</em>
	</p>

	<!-- Added an absolute link for the image (always new tab when absolute link) -->
	<a href="https://place-puppy.com/" target="_blank">
		<img src="https://place-puppy.com/300x300" alt="Dog image">
	</a>
	

	<p>
		<code>
			&lt;img src="https://place-puppy.com/300x300" alt="Dog image"&gt;
		</code>
	</p>

	<!-- add an image using relative linking -->
	<img src="./images/zuittlogo.png">

	<p>
		<code>
			&lt;img src="./images/zuittlogo.png"&gt;
		</code>
	</p>

	<p>Valid image extensions are the following:</p>
	<ol type="i">
		<li>png</li>
		<li>jpg</li>
		<li>gif</li>
		<li>svg</li>
		<li>webp</li>		
	</ol>
	<!-- ol type values:
		- 1
		- A, a
		- I, i
	 -->

	 <p>Take a look at w3schools attribute references <a href="https://www.w3schools.com/tags/ref_attributes.asp" target="_blank">here.</p>

	 <h2>HTML links</h2>

	 <h4>Absolute Link</h4>
	 <!-- anchor tags creates the hyperlink element that redirects to a different page -->
	 <!-- target will able you to open a new tab -->
	 <a href="https://zuitt.co" target="_blank">I'm a hyperlink</a>

	 <h4>Relative Link</h4>
	 <!-- redirect to the link.html file -->
	 <p>Go to <a href="./link.html">link.html</a> page</p>

	 <!-- Redirects to the HTML element with the top id attrib -->
	 <p>Go to <a href="#top">top</a></p>
</body>
</html>